Bug 677181 - Please update to latexila 2.0.5
Please update to latexila 2.0.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: latexila (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-13 17:42 EST by Sébastien Wilmet
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: latexila-2.0.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-24 15:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sébastien Wilmet 2011-02-13 17:42:56 EST
Spec URL: http://latexila.sourceforge.net/latexila.spec
SRPM URL: http://downloads.sourceforge.net/latexila/latexila-2.0.5-1.fc14.src.rpm
Description:

Hello. There was already a review request for latexila in bug 655883. This is an update to the 2.0.5 version.

Vala is no longer required because the C code generated is included in the tarball.

And since it's my first review request, I need a sponsor.

(I'm the main developer of latexila)

LaTeXila is an Integrated LaTeX Environment for GNOME. The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management
Comment 1 Terje Røsten 2011-02-15 04:28:27 EST
Hi Sebastien,

if the package is in the Fedora, there are no need to create a review for
each update, in fact that should not be done.

The way to get the package updated is to create a bug report against the package.

The Fedora maintainer of latexila will then update the package.

To help the maintainer you can ask to be co-maintainer (you then need to be sponsored first) and/or send patches.
Comment 2 Thibault North 2011-02-15 08:46:47 EST
Hi,

Yep, I was actually not aware of that new version.
From the spec, it seems that you now support the latest version of Vala? That's good news!

I will merge your %changelog entries to keep the spec consistent with the pushed versions.

Thanks,
Thibault
Comment 3 Thibault North 2011-02-15 09:06:40 EST
Ok, I need to read before I reply :)

So Vala is not required anymore.. hmm, that should be fine as long as the initial Vala sources are present, which is the case.

It builds without problem, I will push an update soon.
Thanks,
Thibault
Comment 4 Thibault North 2011-02-15 11:52:49 EST
After asking on #fedora-devel, it seems that it may not be acceptable to keep it like that. Is it a big deal to have it work with Vala >= 0.11 ?
Comment 5 Sébastien Wilmet 2011-02-15 13:31:16 EST
(In reply to comment #4)
> After asking on #fedora-devel, it seems that it may not be acceptable to keep
> it like that. Is it a big deal to have it work with Vala >= 0.11 ?

No, normally it should be easy. But if I switch to Vala 0.11 and remove the C code, how to package it for F14?

The C code generated was for me the best solution because I don't need to maintain several branches for each version of Vala. AFAIK other Vala projects do the same.

IMHO Fedora should have several Vala packages, one for each version. Since it seems that there is no plan for doing this, I've chosen the best compromise. The C code is rightly there to simplify installing and packaging.

Why it is not acceptable to keep it like that?

Anyway, for the package, if the C code have to be absolutely regenerated, then it is quiet easy:
- rm src/C/*.c
- run cmake with -DBUILD_VALA=ON
Comment 6 Thibault North 2011-02-15 13:51:11 EST
>No, normally it should be easy. But if I switch to Vala 0.11 and remove the C
>code, how to package it for F14?

>The C code generated was for me the best solution because I don't need to
>maintain several branches for each version of Vala. AFAIK other Vala projects
>do the same.

I think that this solution is acceptable, but there is apparently not a total agreement about that.
Of course, maintaining a few branches is far from ideal.

>IMHO Fedora should have several Vala packages, one for each version. Since it
>seems that there is no plan for doing this, I've chosen the best compromise.
>The C code is rightly there to simplify installing and packaging.

The development cycle for Fedora is really short, and I think that it could be ok to either use this C code for Fedora for a while, waiting for the Vala 0.11 compatibility fixes.

>Why it is not acceptable to keep it like that?

Some consider the source code to be the file that a edited by a human only. A patch against the generated code would make no sense.

But anyway, I think we'll keep it simple and do the following:
- For Fedora 14, rebuild normally an regenerate the C code.
- For Fedora > 14, use the generated C code

As soon as latexila supports Vala >= 0.11, I will update these packages for Fedora > 14 to always regenerate C code. The Fedora 14 version will use the generated C code.
Finally, F-14 with become EOL and we will be back to a stable situation.

Thanks,
Thibault
Comment 7 Sébastien Wilmet 2011-02-15 14:13:25 EST
(In reply to comment #6)
> >Why it is not acceptable to keep it like that?
> 
> Some consider the source code to be the file that a edited by a human only. A
> patch against the generated code would make no sense.

OK. But normally no patch is needed.

> 
> But anyway, I think we'll keep it simple and do the following:
> - For Fedora 14, rebuild normally an regenerate the C code.
> - For Fedora > 14, use the generated C code
> 
> As soon as latexila supports Vala >= 0.11, I will update these packages for
> Fedora > 14 to always regenerate C code. The Fedora 14 version will use the
> generated C code.

For latexila 2.0.x I'll continue to use Vala 0.10.

But for latexila 2.2.x, I'll use Vala >= 0.11, GTK+ 3.0 and so on, so at that time it will not be possible to make a package for Fedora 14.

> Finally, F-14 with become EOL and we will be back to a stable situation.

It's a solution, but I don't think the situation will become stable, the Vala API can change between each major version.
Comment 8 Thibault North 2011-02-15 14:20:14 EST
>For latexila 2.0.x I'll continue to use Vala 0.10.

Okay.

>But for latexila 2.2.x, I'll use Vala >= 0.11, GTK+ 3.0 and so on, so at that
>time it will not be possible to make a package for Fedora 14.

It doesn't matter, at that time the stable Fedora will be F15 (or F16), and we will certainly have these requirements.

>> Finally, F-14 with become EOL and we will be back to a stable situation.

>It's a solution, but I don't think the situation will become stable, the Vala
>API can change between each major version.

Of course. But I can take care of that. BTW, do you want to co-maintain it ? (as your first message suggests)
Comment 9 Fedora Update System 2011-02-15 14:24:21 EST
latexila-2.0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/latexila-2.0.5-1.fc14
Comment 10 Sébastien Wilmet 2011-02-15 15:58:02 EST
(In reply to comment #8)
> BTW, do you want to co-maintain it ? (as your first message suggests)

Yes, if possible.

In the spec file in the %prep section, "Unset upstream CFLAGS" is no longer required.
Comment 11 Sébastien Wilmet 2011-02-15 16:06:19 EST
Also, I think the version of the package for Fedora 15 and 16 should be:
latexila-2.0.5-2 (one more than for F14)

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning
Comment 12 Thibault North 2011-02-15 16:14:41 EST
You're right, I'll fix these two issues. Thanks.
Comment 13 Thibault North 2011-02-15 16:24:25 EST
It seems that equal is acceptable:
"To do that we need to make sure the packages in the newer Fedora releases have an equal or higher Epoch:Version-Release (EVR) than the ones in older releases.)"
But yes, as the versions may diverge, we need to be careful with that.

Do you have a FAS account yet ?
Comment 14 Sébastien Wilmet 2011-02-15 16:34:56 EST
(In reply to comment #13)
> Do you have a FAS account yet ?

No, I'm creating one.
Comment 15 Terje Røsten 2011-02-15 16:42:11 EST
The disttag %{?dist} will expand to fc14 and fc15, such that f15 will will over
f14 when everything else is identical. It's common to have identical spec files for all active branches.

I wonder if Sebastien must be sponsored before he can be a co-maintainer:

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 16 Fedora Update System 2011-02-16 14:18:09 EST
latexila-2.0.5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update latexila'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/latexila-2.0.5-1.fc14
Comment 17 Fedora Update System 2011-02-24 15:56:10 EST
latexila-2.0.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.